# I3DExVertexPrimitive.h File Reference

## Classes
struct | IVertexCallback
struct | IPolygonCallback
struct | IMorphTargetUndoInfo
struct | TModelerDataFlags
struct | TLevelOfDetailsData
struct | ILevelOfDetailsManager
struct | ILevelOfDetailsManager::ILevelOfDetailsDistanceSelection
struct | I3DExVertexPrimitive
struct | SVPStatus
struct | SReplicate
struct | TWorkingBoxInfo
## Defines
#define | kPolymeshGroupParam 'PMSH'
#define | kMorphAreaGroupParam 'MRPH'
## Enumerations
enum | EMorphTargetStorageType { eCompactMorphTarget = 0, eModelingMorphTarget = 1 }
## Functions
| MCDEFINE_GUID_SAFELIB2 (IID_I3DExVertexPrimitive, R_IID_I3DExVertexPrimitive)
## Variables
const uint32 | kOFNothing = 0
const uint32 | kOFVertex = 0x0001
const uint32 | kOFEdge = 0x0002
const uint32 | kOFPolygon = 0x0004
const uint32 | kOFDrawingPlane = 0x0008
const uint32 | kOFBBox = 0x0010
const uint32 | kOFEverything = kOFVertex|kOFEdge|kOFPolygon
const uint32 | kOFUseShieldPolygon = 0x0020
const int32 | kUnionOperation = 0
const int32 | kIntersectionOperation = 1
const int32 | kSubtractionOperation = 2
const int32 | kUnionOperation2 = 3
const int32 | kIntersectionOperation2 = 4
const int32 | kSubtractionOperation2 = 5
const int32 | kExtrudeCommand = 0
const int32 | kSweepCommand = 1
const int32 | kLoftCommand = 2
const int32 | kLatheCommand = 3
const int32 | kEmptyPolygonCommand = 5
const int32 | kFillPolygonCommand = 6
const int32 | kAddThicknessCommand = 7
const int32 | kOffsetSurfaceCommand = 8
const int32 | kGenericCommand = 9
const int32 | kSimpleExtrudeCommand = 10
const int32 | kMenuLatheCommand = 11
const int32 | kOrganicCommand = 12
const int32 | kNumCommands = 13
const int32 | kSelectPolymeshByName = 'PlmN'
const int32 | kSelectVertexByName = 'VtxN'
const int32 | kSelectPolygonByName = 'PlgN'
const int32 | kSelectEdgeByName = 'EdgN'
const int32 | kMarqueeSelect = 0
const int32 | kMarqueeSwap = 1
const int32 | kMarqueeDeselect = 2

## Function Documentation

MCDEFINE_GUID_SAFELIB2 | ( | IID_I3DExVertexPrimitive | ,
|  | R_IID_I3DExVertexPrimitive |  |
| ) |  |  |

## Variable Documentation

const int32 kAddThicknessCommand = 7

const int32 kEmptyPolygonCommand = 5

const int32 kExtrudeCommand = 0

const int32 kFillPolygonCommand = 6

const int32 kGenericCommand = 9

const int32 kIntersectionOperation = 1

const int32 kIntersectionOperation2 = 4

const int32 kLatheCommand = 3

const int32 kLoftCommand = 2

const int32 kMarqueeDeselect = 2

const int32 kMarqueeSelect = 0

const int32 kMarqueeSwap = 1

const int32 kMenuLatheCommand = 11

const int32 kNumCommands = 13

const uint32 kOFBBox = 0x0010

const uint32 kOFDrawingPlane = 0x0008

const uint32 kOFEdge = 0x0002

const uint32 kOFEverything = kOFVertex|kOFEdge|kOFPolygon

const int32 kOffsetSurfaceCommand = 8

const uint32 kOFNothing = 0

const uint32 kOFPolygon = 0x0004

const uint32 kOFUseShieldPolygon = 0x0020

const uint32 kOFVertex = 0x0001

const int32 kOrganicCommand = 12

const int32 kSelectEdgeByName = 'EdgN'

const int32 kSelectPolygonByName = 'PlgN'

const int32 kSelectPolymeshByName = 'PlmN'

const int32 kSelectVertexByName = 'VtxN'

const int32 kSimpleExtrudeCommand = 10

const int32 kSubtractionOperation = 2

const int32 kSubtractionOperation2 = 5

const int32 kSweepCommand = 1

const int32 kUnionOperation = 0

const int32 kUnionOperation2 = 3